Subject: Re: Avoiding 'master' nomenclature

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Jul 2020 13:40:38 -0700

Linus Torvalds <[email-masked]> writes:

> Even if you don't want to treat "master" specially, there's two actual
> reasons to do so:
>
>  (a) the technical one: it's the old default one in a lot of existing
> repositories, so if there is no defaultBranchName, it effectively
> _was_ that
>
>  (b) the non-technical one: if the aim is to get rid of "master"
> terminology, THAT IS EXACTLY what the code did before it was removed.
>
> So really. Both from a technical _and_ a terminology angle, that
> commit was just wrong.

Your "if the aim is" is curious---the change is not particularly
aimed for that.  As far as I understand it, it was also to retire
the "one single thing is special among others" mentality (which by
the way I find somewhat offending).

The original did two things wrong, i.e. treated one thing specially,
and designated 'master' which has been declared a dirty word as that
special thing.  Killing these two wrongs with one stone does not
feel so stupid.